## org.eclipse.datatools.modelbase.sql.query
Class PredicateComparisonOperator

    java.lang.Object
      org.eclipse.emf.common.util.AbstractEnumerator
          org.eclipse.datatools.modelbase.sql.query.PredicateComparisonOperator

All Implemented Interfaces:
  java.io.Serializable, org.eclipse.emf.common.util.Enumerator

    public final class PredicateComparisonOperator

extends org.eclipse.emf.common.util.AbstractEnumerator

A representation of the literals of the enumeration 'SQL Predicate Comparison Operator', and utility methods for working with them.

See Also:
  `SQLQueryModelPackage.getPredicateComparisonOperator()`, Serialized Form

Field Summary
`static int` `EQUAL` The 'EQUAL' literal value.
`static PredicateComparisonOperator` `EQUAL_LITERAL` The 'EQUAL' literal object.
`static int` `GREATER_THAN` The 'GREATER THAN' literal value.
`static PredicateComparisonOperator` `GREATER_THAN_LITERAL` The 'GREATER THAN' literal object.
`static int` `GREATER_THAN_OR_EQUAL` The 'GREATER THAN OR EQUAL' literal value.
`static PredicateComparisonOperator` `GREATER_THAN_OR_EQUAL_LITERAL` The 'GREATER THAN OR EQUAL' literal object.
`static int` `LESS_THAN` The 'LESS THAN' literal value.
`static PredicateComparisonOperator` `LESS_THAN_LITERAL` The 'LESS THAN' literal object.
`static int` `LESS_THAN_OR_EQUAL` The 'LESS THAN OR EQUAL' literal value.
`static PredicateComparisonOperator` `LESS_THAN_OR_EQUAL_LITERAL` The 'LESS THAN OR EQUAL' literal object.
`static int` `NOT_EQUAL` The 'NOT EQUAL' literal value.
`static PredicateComparisonOperator` `NOT_EQUAL_LITERAL` The 'NOT EQUAL' literal object.
`static java.util.List` `VALUES` A public read-only list of all the 'Predicate Comparison Operator' enumerators.

Method Summary
`static PredicateComparisonOperator` `get(int value)` Returns the 'Predicate Comparison Operator' literal with the specified integer value.
`static PredicateComparisonOperator` `get(java.lang.String literal)` Returns the 'Predicate Comparison Operator' literal with the specified literal value.
`static PredicateComparisonOperator` `getByName(java.lang.String name)` Returns the 'Predicate Comparison Operator' literal with the specified name.

Methods inherited from class org.eclipse.emf.common.util.AbstractEnumerator
`getLiteral, getName, getValue, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### EQUAL

    public static final int EQUAL

  The 'EQUAL' literal value.

  See Also:
    `EQUAL_LITERAL`, Constant Field Values

### NOT_EQUAL

    public static final int NOT_EQUAL

  The 'NOT EQUAL' literal value.

  See Also:
    `NOT_EQUAL_LITERAL`, Constant Field Values

### LESS_THAN

    public static final int LESS_THAN

  The 'LESS THAN' literal value.

  See Also:
    `LESS_THAN_LITERAL`, Constant Field Values

### GREATER_THAN

    public static final int GREATER_THAN

  The 'GREATER THAN' literal value.

  See Also:
    `GREATER_THAN_LITERAL`, Constant Field Values

### LESS_THAN_OR_EQUAL

    public static final int LESS_THAN_OR_EQUAL

  The 'LESS THAN OR EQUAL' literal value.

  See Also:
    `LESS_THAN_OR_EQUAL_LITERAL`, Constant Field Values

### GREATER_THAN_OR_EQUAL

    public static final int GREATER_THAN_OR_EQUAL

  The 'GREATER THAN OR EQUAL' literal value.

  See Also:
    `GREATER_THAN_OR_EQUAL_LITERAL`, Constant Field Values

### EQUAL_LITERAL

    public static final PredicateComparisonOperator EQUAL_LITERAL

  The 'EQUAL' literal object.

  If the meaning of 'EQUAL' literal object isn't clear, there really should be more of a description here...

  See Also:
    `EQUAL`

### NOT_EQUAL_LITERAL

    public static final PredicateComparisonOperator NOT_EQUAL_LITERAL

  The 'NOT EQUAL' literal object.

  If the meaning of 'NOT EQUAL' literal object isn't clear, there really should be more of a description here...

  See Also:
    `NOT_EQUAL`

### LESS_THAN_LITERAL

    public static final PredicateComparisonOperator LESS_THAN_LITERAL

  The 'LESS THAN' literal object.

  If the meaning of 'LESS THAN' literal object isn't clear, there really should be more of a description here...

  See Also:
    `LESS_THAN`

### GREATER_THAN_LITERAL

    public static final PredicateComparisonOperator GREATER_THAN_LITERAL

  The 'GREATER THAN' literal object.

  If the meaning of 'GREATER THAN' literal object isn't clear, there really should be more of a description here...

  See Also:
    `GREATER_THAN`

### LESS_THAN_OR_EQUAL_LITERAL

    public static final PredicateComparisonOperator LESS_THAN_OR_EQUAL_LITERAL

  The 'LESS THAN OR EQUAL' literal object.

  If the meaning of 'LESS THAN OR EQUAL' literal object isn't clear, there really should be more of a description here...

  See Also:
    `LESS_THAN_OR_EQUAL`

### GREATER_THAN_OR_EQUAL_LITERAL

    public static final PredicateComparisonOperator GREATER_THAN_OR_EQUAL_LITERAL

  The 'GREATER THAN OR EQUAL' literal object.

  If the meaning of 'GREATER THAN OR EQUAL' literal object isn't clear, there really should be more of a description here...

  See Also:
    `GREATER_THAN_OR_EQUAL`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'Predicate Comparison Operator' enumerators.

Method Detail

### get

    public static PredicateComparisonOperator get(java.lang.String literal)

  Returns the 'Predicate Comparison Operator' literal with the specified literal value.

### getByName

    public static PredicateComparisonOperator getByName(java.lang.String name)

  Returns the 'Predicate Comparison Operator' literal with the specified name.

### get

    public static PredicateComparisonOperator get(int value)

  Returns the 'Predicate Comparison Operator' literal with the specified integer value.